MARTe2-core - User story #163

Lint: TimeoutType
28.06.2015 19:04 - André Neto

Status: Closed Start date: 28.06.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.2 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Verify and implement coding standard using Flexelint.

Source code files modified

e Source/Core/LOPortability/TimeoutType.h
Test/Core/LOPortability/Makefile.inc
Test/Core/LOPortability/TimeoutTypeTest.cpp
Test/Core/LOPortability/TimeoutTypeTest.h
Test/GTest/Makefile.inc
Test/GTest/TimeoutTypeGTest.cpp

Architecture & design review

Date of the review: 22/07/2015
Person who did the review: Giuseppe Ferro

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review

Date of the review: 22/07/2015
Person who did the review: Giuseppe Ferro
Result of review: PASS (MISRA compliant)

List of non-conformities: N/A

Unit test review

Date of the review: 23/07/2015
Person who did the review: lvan Herrero
Result of coverage tests review: PASS

Result of functional tests review: PASS
Result of review: PASS

List of non-conformities: N/A

Associated revisions

Revision a87b61a5 - 09.07.2015 12:19 - André Neto

Minor modification. Lint and documentation not verified #163.
Revision 2f67b852 - 22.07.2015 16:36 - Giuseppe Ferro
TimeoutType review

#163

Revision 5114a103 - 23.07.2015 18:03 - lvan Herrero

#163 - Minor formatting corrections (following template rules)

History

#1 - 02.07.2015 17:19 - Riccardo Vitelli

- Target version set to Backlog

#2 - 02.07.2015 18:07 - Riccardo Vitelli

- Target version changed from Backlog to 0.2

#3 - 02.07.2015 18:08 - Riccardo Vitelli

- Status changed from New to Code: Impl

#4 - 05.07.2015 23:50 - André Neto

- Assignee set to André Neto

#5 - 09.07.2015 14:20 - Riccardo Vitelli
- Status changed from Code: Impl to Code: Rev

#6 - 09.07.2015 14:22 - Riccardo Vitelli
- Assignee deleted (André Neto)

#7 - 22.07.2015 15:00 - Llorenc Capella

- Assignee set to Giuseppe Ferro

#8 - 22.07.2015 16:39 - Giuseppe Ferro
- Status changed from Code: Rev to Unit: Impl

#9 - 22.07.2015 16:41 - Giuseppe Ferro

- Description updated

#10 - 22.07.2015 16:42 - Giuseppe Ferro
- Assignee deleted (Giuseppe Ferro)

#11 - 23.07.2015 09:05 - Ivan Herrero

- Assignee set to Llorenc Capella

#12 - 23.07.2015 15:13 - Llorenc Capella
- Status changed from Unit: Impl to Unit: Rev

#13 - 23.07.2015 15:14 - Llorenc Capella
- Assignee deleted (Llorenc Capella)

TimeoutType test done.
#14 - 23.07.2015 17:15 - lvan Herrero

- Assignee set to Ivan Herrero

#15 - 23.07.2015 18:20 - Ivan Herrero
- Description updated
- Status changed from Unit: Rev to Closed

- Assignee deleted (Ilvan Herrero)

Unit test review made on revision 5114a10.

Branch US#163_Lint_TimeoutType merged on develop branch (commit 52b2059).

Branch US#163_Lint_TimeoutType deleted.
